## konqueror 25.12.1

=== debian/changelog ===
konqueror (4:25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:19:59 +0000

konqueror (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Apparmor profile to fix userns.
    - Only build on webengine architectures.
    - Keep our install files.
    - Breaks/replaces for Ubuntu history.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Jan 2026 18:58:31 +0000

konqueror (4:25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Refresh patches.
  * Drop patch applied upstream.
  * Update the list of installed files.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 16 Jan 2026 08:52:19 +0100

konqueror (4:25.12.1-0ubuntu3) resolute; urgency=medium

  * Build with dh-sequence-kf6.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jan 2026 15:50:44 +0000

konqueror (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:38:02 +0000

konqueror (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:09:41 +0000

konqueror (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:27:27 +0000

=== debian/control ===
Source: konqueror
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-apparmor,
               dh-exec,
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6archive-dev,
               libkf6bookmarks-dev,
               libkf6codecs-dev,
               libkf6completion-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6dbusaddons-dev,
               libkf6doctools-dev,
               libkf6guiaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6jobwidgets-dev,
               libkf6kcmutils-dev,
               libkf6kio-dev,
               libkf6notifications-dev,
               libkf6parts-dev,
               libkf6sonnet-dev,
               libkf6su-dev,
               libkf6textwidgets-dev,
               libkf6wallet-dev,
               libkf6windowsystem-dev,
               libkf6xmlgui-dev,
               libplasmaactivities-dev,
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.4.0~),
               qt6-base-private-dev,
               qt6-webengine-dev (>= 6.4.0~),
               zlib1g-dev,
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/konqueror
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konqueror

Package: konq-plugins
Architecture: amd64 amd64v3 arm64 armhf
Depends: konqueror (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
Enhances: konqueror,
Recommends: imagemagick,
Breaks: kget (<< 4:22.12.0-1),
Replaces: kget (<< 4:22.12.0-1),
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: amd64 amd64v3 arm64 armhf
Provides: info-browser, man-browser, www-browser,
Depends: konqueror-data (= ${source:Version}),
         dolphin,
         install-info,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kfind,
            konqueror-doc,
            libkf6kcmutils-bin,
Suggests: konq-plugins, apparmor
Description: advanced file manager, web browser and document viewer
 Konqueror is KDE's Webbrowser and swiss-army-knife for any kind of
 file-management and file previewing.
 .
 Features:
  - Webbrowsing using KHTML or KDEWebKit as rendering engines
  - File management using most of Dolphin's features (including
    version-control, service menus and the basic UI)
  - File management on ftp and sftp servers
  - Full featured FTP-client (you can split views to display local
    and remote folders and previews in the same window)
  - Embedded applications to preview files (e.g. Okular and Calligra
    for documents, Gwenview for pictures, KTextEditor for text-files)
  - Different kinds of plugins: Service-menus, KParts (embedded
    applications), KIO (accessing files using special protocols like
    http or ftp) and KPart-plugins (like AdBlocker...)

Package: konqueror-data
Section: web
Architecture: all
Depends: ${misc:Depends},
Breaks: konqueror (<< 4:24.08.2-1~),
Replaces: konqueror (<< 4:24.08.2-1~),
Description: data files for Konqueror
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This package contains the architecture-independent data files of Konqueror.

Package: konqueror-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: konqueror (<< 4:24.08.2-1~),
Replaces: konqueror (<< 4:24.08.2-1~),
Description: user documentation for Konqueror
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This package contains the user documentation for Konqueror.

Package: libkonq-dev
Section: libdevel
Architecture: amd64 amd64v3 arm64 armhf
Multi-Arch: same
Depends: libkf6konq7 (= ${binary:Version}),
         libkf6konqsettings7 (= ${binary:Version}),
         ${misc:Depends},
Description: development files for the Konqueror libraries
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This package contains development files for building software that uses the
 Konqueror libraries.

Package: libkf6konq7
Section: libs
Architecture: amd64 amd64v3 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5konq6,
Replaces: libkf5konq6,
Description: core library for Konqueror
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This library contains some core features of konqueror that used to be shared
 with other KDE applications. It’s currently only used by Konqueror.

Package: libkf6konqsettings7
Section: libs
Architecture: amd64 amd64v3 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: settings management library for Konqueror
 Konqueror is the KDE web browser and an advanced file manager.
 .
 This library contains the settings management features of Konqueror.

## konqueror 25.12.1+p24.04+vstable+git20260106.1539

=== debian/changelog ===
konqueror (4:25.12.1+p24.04+vstable+git20260106.1539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 15:39:52 +0000

konqueror (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:24:38 +1000

## konqueror 25.12.1+p24.04+vstable+git20260107.0842

=== debian/changelog ===
konqueror (4:25.12.1+p24.04+vstable+git20260107.0842-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:43:00 +0000

## konqueror 25.12.1+p24.04+vstable+git20260129.0055

=== debian/changelog ===
konqueror (4:25.12.1+p24.04+vstable+git20260129.0055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:56:07 +0000

## konqueror 25.12.1+p24.04+vstable+git20260130.0848

=== debian/changelog ===
konqueror (4:25.12.1+p24.04+vstable+git20260130.0848-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:48:48 +0000

## konqueror 25.12.1+p24.04+vunstable+git20260130.1109

=== debian/changelog ===
konqueror (4:25.12.1+p24.04+vunstable+git20260130.1109-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:09:45 +0000

## konqueror 25.12.1+p24.04+vunstable+git20260204.0833

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
include(CMakeDependentOption)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "26")
set (RELEASE_SERVICE_VERSION_MINOR "03")
set (RELEASE_SERVICE_VERSION_MICRO "70")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(Konqueror VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.4.0")
set(KF5_MIN_VERSION "5.240.0")


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)


set(KF_MAJOR_VERSION "6")
include(KDECompilerSettings NO_POLICY_SCOPE)
remove_definitions(-DQT_NO_KEYWORDS)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(FeatureSummary)

set(KONQUEROR_LIB_VERSION "${RELEASE_SERVICE_VERSION}")
set(KONQUEROR_VERSION "${KONQUEROR_LIB_VERSION}")

find_package(Qt${KF_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets WebEngineWidgets)
if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.9.0")
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED GuiPrivate)
endif()
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Parts KCMUtils Archive Crash WindowSystem IconThemes DBusAddons GuiAddons I18n Sonnet TextWidgets Codecs)

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} COMPONENTS DocTools) # Optional
find_package(PlasmaActivities ${KF_MIN_VERSION}) # Optional
set(KActivities_FOUND ${PlasmaActivities_FOUND})

add_definitions(
    -DQT_USE_QSTRINGBUILDER
)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include (CheckSymbolExists)
check_symbol_exists(mallinfo        "malloc.h"                 KDE_MALLINFO_MALLOC)
check_symbol_exists(mallinfo        "stdlib.h"                 KDE_MALLINFO_STDLIB)
# TODO KDE_MALLINFO_FIELD_hblkhd
# TODO KDE_MALLINFO_FIELD_uordblks
# TODO KDE_MALLINFO_FIELD_usmblks


configure_file (config-konqueror.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konqueror.h )

configure_file (konqueror-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/konqueror-version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory( libkonq )
add_subdirectory(libkonqsettings)
add_subdirectory( src )
add_subdirectory( client )
if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()
add_subdirectory( webenginepart )

add_subdirectory( pics )
add_subdirectory( sidebar )
add_subdirectory( settings )
add_subdirectory( plugins )
add_subdirectory( kioworkers )

if (KF${KF_MAJOR_VERSION}DocTools_FOUND)
    add_subdirectory( doc )
endif()

set(DEVELOPER_MODE false CACHE BOOL "Enables developer mode, which allows running separate instances of Konqueror")

########### install files ###############
install( PROGRAMS
   kfmclient.desktop kfmclient_html.desktop kfmclient_war.desktop kfmclient_dir.desktop
   konqbrowser.desktop
   DESTINATION  ${KDE_INSTALL_APPDIR} )
install(FILES org.kde.konqueror.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# Make sure kfmclient can find konqueror.desktop even if people remove it from the K menu (#62242)
# This is why konqueror.desktop is installed into services.
#TODO KF6: check whether the above comment is still relevant (remove Konqueror from the K menu and check
#whether kfmclient works correctly. If it doesn't, find out how to make it work in KF6
# if (KF_MAJOR_VERSION STRLESS "6")
#     install( FILES org.kde.konqueror.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
# endif()

# On Wayland the icon to use for the main window is read from the desktop file, which needs
# to be in the applications directory, so it needs to be installed there, too (bug #452149)
install( FILES org.kde.konqueror.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )

install(FILES konqy_preload.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

install(FILES konqueror.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

ki18n_install(po)
if (KF${KF_MAJOR_VERSION}DocTools_FOUND)
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== settings/CMakeLists.txt ===
add_subdirectory(konq)
add_subdirectory(konqhtml)
add_subdirectory(performance)
add_subdirectory(bookmarks)
add_subdirectory(speeddial)

=== src/CMakeLists.txt ===
if(BUILD_TESTING)
    # only with this definition will the KONQ_TESTS_EXPORT macro do something
    add_definitions(-DBUILD_TESTING)

    add_subdirectory( tests )
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"konqueror\")

########### libkonquerorprivate, shared with unit tests and sidebar modules ###############

set(konquerorprivate_SRCS
   konqhistorymanager.cpp # for unit tests
   konqpixmapprovider.cpp # needed ?!?

   # for the sidebar history module
   konqhistorymodel.cpp
   ksortfilterproxymodel.cpp
   konqhistoryproxymodel.cpp
   konqhistoryview.cpp
   konqhistorysettings.cpp
   konqurl.cpp
)

ecm_qt_declare_logging_category(konquerorprivate_SRCS HEADER konqdebug.h IDENTIFIER KONQUEROR_LOG CATEGORY_NAME org.kde.konqueror)

add_library(konquerorprivate SHARED ${konquerorprivate_SRCS})
target_link_libraries(konquerorprivate
   KF${KF_MAJOR_VERSION}::I18n
   KF${KF_MAJOR_VERSION}::IconThemes
   KF${KF_MAJOR_VERSION}::Konq
   KF${KF_MAJOR_VERSION}::KonqSettings
   KF${KF_MAJOR_VERSION}::Parts
   KF${KF_MAJOR_VERSION}::KIOGui
)

set_target_properties(konquerorprivate PROPERTIES VERSION ${KONQUEROR_LIB_VERSION} SOVERSION "${KF_MAJOR_VERSION}" )

target_link_libraries(konquerorprivate Qt${KF_MAJOR_VERSION}::GuiPrivate)

set_target_properties(konquerorprivate PROPERTIES VERSION ${KONQUEROR_LIB_VERSION} SOVERSION "5" )

install(TARGETS konquerorprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

generate_export_header(konquerorprivate BASE_NAME konquerorprivate EXPORT_FILE_NAME konquerorprivate_export.h)

########### konqueror ###############

#TODO KF6: rename konqueror_KDEINIT_SRCS as konqueror_SRCS

set(konqueror_KDEINIT_SRCS
   konqapplication.cpp
   konqdebug.cpp
   konqguiclients.cpp
   konqbookmarkmenu.cpp
   konqview.cpp
   konqviewmanager.cpp
   konqmouseeventfilter.cpp
   konqmisc.cpp
   konqdraggablelabel.cpp
   konqframe.cpp
   konqframevisitor.cpp
   konqframestatusbar.cpp
   konqframecontainer.cpp
   ktabbar.cpp
   ktabwidget.cpp
   konqtabs.cpp
   konqactions.cpp
   konqsessiondlg.cpp
   konqfactory.cpp
   konqcombo.cpp
   delayedinitializer.cpp
   konqanimatedlogo.cpp
   konqmainwindow.cpp
   konqmainwindowfactory.cpp
   konqextensionmanager.cpp
   konqbookmarkbar.cpp
   KonquerorAdaptor.cpp
   KonqMainWindowAdaptor.cpp
   KonqViewAdaptor.cpp
   konqundomanager.cpp
   konqclosedwindowsmanager.cpp
   konqsessionmanager.cpp
   konqsessiondialog.cpp
   konqcloseditem.cpp
   konqhistorydialog.cpp
   konqstatusbarmessagelabel.cpp
   konqurl.cpp
   urlloader.cpp
   konqembedsettings.cpp
   pluginmetadatautils.cpp
   implementations/konqbrowserwindowinterface.cpp
   konqutils.cpp
   implementations/konqbrowser.cpp
   configdialog.cpp
   placeholderpart.cpp
   fullscreenmanager.cpp
   downloadactionquestion.cpp
   implementations/konqwindow.cpp
   implementations/konqspeeddial.cpp
)

if (${KActivities_FOUND})
   list(APPEND konqueror_KDEINIT_SRCS activitymanager.cpp)
endif()

ki18n_wrap_ui(konqueror_KDEINIT_SRCS konqsessiondlg_base.ui)
ki18n_wrap_ui(konqueror_KDEINIT_SRCS konqnewsessiondlg_base.ui)
qt_add_resources(konqueror_KDEINIT_SRCS konqueror.qrc)

qt_add_dbus_interface(konqueror_KDEINIT_SRCS org.kde.Konqueror.Main.xml konqueror_interface)
qt_add_dbus_adaptor(konqueror_KDEINIT_SRCS org.kde.Konqueror.UndoManager.xml konqclosedwindowsmanager.h KonqClosedWindowsManager konqclosedwindowsmanageradaptor KonqClosedWindowsManagerAdaptor)
qt_add_dbus_interface(konqueror_KDEINIT_SRCS org.kde.Konqueror.UndoManager.xml konqclosedwindowsmanager_interface)
qt_add_dbus_adaptor(konqueror_KDEINIT_SRCS org.kde.Konqueror.SessionManager.xml konqsessionmanager.h KonqSessionManager konqsessionmanageradaptor KonqSessionManagerAdaptor)
qt_add_dbus_interface(konqueror_KDEINIT_SRCS org.kde.Konqueror.SessionManager.xml konqsessionmanager_interface)

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/*-apps-konqueror.png")
ecm_add_app_icon(konqueror_KDEINIT_SRCS ICONS ${ICONS_SRCS})

#TODO KF6: when removing compatibility with KF5, remove konqueror_internal_lib_target and use konqueror_internal_lib
#We need a library because some tests link to it
add_library(konqueror_internal_lib STATIC ${konqueror_KDEINIT_SRCS})
add_executable(konqueror konqmain.cpp)
target_link_libraries(konqueror konqueror_internal_lib)
set(konqueror_internal_lib_target konqueror_internal_lib)
target_link_libraries(${konqueror_internal_lib_target}
   konquerorprivate
   KF${KF_MAJOR_VERSION}::Archive
   KF${KF_MAJOR_VERSION}::KCMUtils
   KF${KF_MAJOR_VERSION}::Konq
   KF${KF_MAJOR_VERSION}::KonqSettings
   KF${KF_MAJOR_VERSION}::Parts
   KF${KF_MAJOR_VERSION}::DBusAddons
   KF${KF_MAJOR_VERSION}::Crash
   KF${KF_MAJOR_VERSION}::WindowSystem
   KF${KF_MAJOR_VERSION}::SonnetUi
   KF${KF_MAJOR_VERSION}::Bookmarks
   KF${KF_MAJOR_VERSION}::BookmarksWidgets
   KF${KF_MAJOR_VERSION}::KIOCore
)

if (KActivities_FOUND)
   target_link_libraries(${konqueror_internal_lib_target} Plasma::Activities)
  target_compile_definitions(${konqueror_internal_lib_target} PUBLIC KActivities_FOUND)
endif ()

install(TARGETS konqueror ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############
# install( FILES konqueror.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
install( FILES org.kde.Konqueror.Main.xml org.kde.Konqueror.MainWindow.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} )
install(FILES konqautofiltersrc DESTINATION ${KDE_INSTALL_CONFDIR})

=== libkonq/src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libkonq\")

########### libkonq ###############

set(konq_LIB_SRCS
   konq_popupmenu.cpp       # now only used by konqueror, could move there
   konq_events.cpp
   konq_historyentry.cpp
   konq_historyloader.cpp
   konq_historyprovider.cpp   # konqueror and konqueror/sidebar
   konq_spellcheckingconfigurationdispatcher.cpp #konqueror and webenginepart
   konq_kpart_plugin.cpp
   interfaces/selectorinterface.cpp
   historyprovider.cpp
   htmlextension.cpp
   htmlsettingsinterface.cpp
   textextension.cpp
   interfaces/browser.cpp
   interfaces/window.cpp
   interfaces/cookiejar.cpp
   interfaces/common.h
   interfaces/downloadjob.cpp
   libkonq_utils.cpp
   browserarguments.cpp
   browserextension.cpp
   windowargs.cpp
   browserinterface.cpp
   konq_urlactions.cpp
   interfaces/speeddial.cpp
)

ecm_qt_declare_logging_category(konq_LIB_SRCS HEADER libkonq_debug.h IDENTIFIER LIBKONQ_LOG CATEGORY_NAME org.kde.libkonq)

add_library(KF${KF_MAJOR_VERSION}Konq ${konq_LIB_SRCS})

generate_export_header(KF${KF_MAJOR_VERSION}Konq BASE_NAME libkonq EXPORT_FILE_NAME libkonq_export.h)

add_library(KF${KF_MAJOR_VERSION}::Konq ALIAS KF${KF_MAJOR_VERSION}Konq)

target_link_libraries(KF${KF_MAJOR_VERSION}Konq
    PUBLIC
    KF${KF_MAJOR_VERSION}::XmlGui
    KF${KF_MAJOR_VERSION}::ConfigCore
    KF${KF_MAJOR_VERSION}::KIOCore
    KF${KF_MAJOR_VERSION}::KIOFileWidgets
    KF${KF_MAJOR_VERSION}::CoreAddons
    KF${KF_MAJOR_VERSION}::Service
    KF${KF_MAJOR_VERSION}::Parts
    Qt${KF_MAJOR_VERSION}::WebEngineWidgets
    KF${KF_MAJOR_VERSION}::TextWidgets
    KF${KF_MAJOR_VERSION}::KonqSettings
    PRIVATE
    KF${KF_MAJOR_VERSION}::Bookmarks
    KF${KF_MAJOR_VERSION}::I18n
    ${ZLIB_LIBRARY}
)

target_link_libraries(KF${KF_MAJOR_VERSION}Konq PRIVATE KF${KF_MAJOR_VERSION}::BookmarksWidgets)

# For crc32 in konq_historyloader.cpp
target_include_directories(KF${KF_MAJOR_VERSION}Konq PRIVATE ${ZLIB_INCLUDE_DIR})


set_target_properties(KF${KF_MAJOR_VERSION}Konq PROPERTIES
    VERSION ${KONQ_VERSION}
    SOVERSION ${KONQ_SOVERSION}
    EXPORT_NAME Konq
)

install(TARGETS KF${KF_MAJOR_VERSION}Konq EXPORT KF${KF_MAJOR_VERSION}KonqTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES directory_bookmarkbar.desktop DESTINATION ${KDE_INSTALL_DATADIR_KF}/kbookmark)
install(FILES
    konq_events.h
    konq_historyentry.h
    konq_historyprovider.h
    konq_popupmenu.h
    konq_kpart_plugin.h
    ${LibKonq_BINARY_DIR}/src/libkonq_export.h
    interfaces/selectorinterface.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}
    COMPONENT Devel
)

=== settings/speeddial/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"speeddial\")

########### next target ###############

set(kcm_speeddial_PART_SRCS speeddialconfig.cpp editspeeddialentrydlg.cpp)

ki18n_wrap_ui(kcm_speeddial_PART_SRCS speeddialconfig.ui editspeeddialentrydlg.ui)

kcoreaddons_add_plugin(kcm_speeddial SOURCES ${kcm_speeddial_PART_SRCS} INSTALL_NAMESPACE konqueror_kcms)
target_link_libraries(kcm_speeddial
  KF${KF_MAJOR_VERSION}::KCMUtils
  KF${KF_MAJOR_VERSION}::I18n
  KF${KF_MAJOR_VERSION}::KIOWidgets
  KF${KF_MAJOR_VERSION}::IconWidgets
  KF${KF_MAJOR_VERSION}::KonqSettings
  KF${KF_MAJOR_VERSION}::Konq
)

kcmutils_generate_desktop_file(kcm_speeddial)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kcm_speeddial.desktop DESTINATION ${KDE_INSTALL_APPDIR} RENAME speeddial.desktop)

=== webenginepart/src/about/CMakeLists.txt ===
install(FILES
    top-left-konqueror.png
    launch.html
    intro.html
    tips.html
    plugins.html
    plugins_rtl.html
    speeddial.html
    konq.css
    kde_infopage.css
    kde_infopage_rtl.css
    speeddial.css
    body-background.png
    box-middle-left.png
    box-middle-right.png
    top-middle.png
    box-top-left.png
    box-bottom-left.png
    box-top-middle.png
    box-bottom-middle.png
    box-top-right.png
    box-bottom-right.png
    box-center.png
    DESTINATION ${KDE_INSTALL_DATADIR}/konqueror/about)

## konqueror 25.12.2

=== doc/kcontrol/bookmarks/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/bookmarks)

=== doc/kcontrol/filemanager/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/filemanager)

=== doc/kcontrol/history/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/history)

=== doc/kcontrol/kcmcss/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/kcmcss)

=== doc/kcontrol/khtml-behavior/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/khtml-behavior)

=== doc/kcontrol/khtml-general/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/khtml-general)

=== doc/kcontrol/khtml-java-js/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/khtml-java-js)

=== doc/kcontrol/performance/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kcontrol/performance)

=== debian/changelog ===
konqueror (4:25.12.2-0ubuntu2) resolute; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 06 Feb 2026 12:21:02 +0000

konqueror (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:26:48 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-apparmor,
                dh-exec,
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libkf6archive-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

execute_after_dh_auto_install:
	# do not ship the development files for konqsidebarplugin, for now
	rm -f debian/tmp/usr/include/KF6/konqsidebarplugin.h
	rm -f debian/tmp/usr/lib/*/libkonqsidebarplugin.so
	mkdir -p debian/konqueror/etc/apparmor.d
	cp debian/konqueror-apparmor debian/konqueror/etc/apparmor.d/usr.bin.konqueror
	dh_apparmor --profile-name=usr.bin.konqueror -pkonqueror
